# Class: c3.Polar.Layer.Arc

Defined in: | js/c3-polar.coffee
Inherits: | c3.Polar.Layer.Segment

## Overview

A general-purpose layer of arc segments

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'arc'

inner_radius =

      0

  [Number, Function] Inner radius of the arc segment

outer_radius =

      1

  [Number, Function] Outer radius of the arc segment

start_angle =

      0

  [Number, Function] Start angle for the arc segment

### Variable inherited from c3.Polar.Layer.Segment

version type key value limit_elements pad arc_options _next_uid data name class r t options handlers restyle

## Instance Method Summary

- # (void) _layout(data) Bound

## Inherited Method Summary

### Methods inherited from c3.Polar.Layer.Segment

#_init #_update #_draw #_style #get_position_from_key #init #size #_size #update #draw #style #redraw #toPolar

## Instance Method Details

# (void) _layout(data) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input